XScreenSaver(1)

NAME
Juggler3D - a 3D juggling simulation.

SYNOPSIS
juggler3d [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed number] [-trans number] [-spin number] [-maxobjs number] [-minobjs number] [-maxhinc number] [-minhinc number] [-wireframe] [-fps]

DESCRIPTION
Displays a 3D simulation of a juggler performing with balls, clubs and rings. Juggling patterns are either created randomly using siteswaps or from a small library of predefined patterns. juggler3d is partially based on the Win32 screensaver Juggle Saver (www.jugglesaver.co.uk) by the same author.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-speed number
    Speed of objects being juggled in beats per seconds. Default: 2.2.

-trans number
    Speed of horizontal juggler movement (translational) across the screen in degrees/seconds. Default: 0.1

-spin number
    Speed of juggler rotation in degrees/seconds. Default: 20

-maxobj number
    Maximum number of objects used in a random juggling pattern. 3 - 36.

-minobj number
    Minimum number of objects used in a random juggling pattern. 3 - maxobj.

-minhinc number | -maxhinc number
    Used to determine maximum throw weight in random siteswap. Options refer to minimum height increment and maximum height increment. Maximum weight chosen will lie between maxobj + minhinc and maxobj + maxhinc. Defaults: minhinc=2 and maxhinc=6.

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2005 by Brian Apps. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Brian Apps <brian@jugglesaver.co.uk>